hive-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nitin Pawar <nitinpawar...@gmail.com>
Subject Re: help ! Does hive depend on hadoop-core?
Date Thu, 27 Mar 2014 18:27:50 GMT
cool :)


On Thu, Mar 27, 2014 at 11:47 PM, Jay Vyas <jayunit100@gmail.com> wrote:

> Ahh,,, looks like there is a new client for Hive2 :)
>
> http://grokbase.com/p/cloudera/cdh-user/12bwb8fdbd/hive-jdbc-timeout
>
> But im getting other errors now.  Oh well, maybe ill post them in another
> thread.
>
>
> On Thu, Mar 27, 2014 at 1:05 PM, Jay Vyas <jayunit100@gmail.com> wrote:
>
>> yes but this appears to be an old one (mapred.*).
>>
>> Why is hive 0.12.0 referencing mapred, instead of mapreduce.*?
>>
>>
>> On Thu, Mar 27, 2014 at 12:52 PM, Nitin Pawar <nitinpawar432@gmail.com>wrote:
>>
>>> hive needs hadoop libraries to  work
>>>
>>>
>>> On Thu, Mar 27, 2014 at 11:13 PM, Jay Vyas <jayunit100@gmail.com> wrote:
>>>
>>>> Im running hive from inside of maven, and am getting a weird exception:
>>>>
>>>> tate,fname,lname,hash(product) from cleaned1395942132407
>>>> Total MapReduce jobs = 3
>>>> Launching Job 1 out of 3
>>>> Number of reduce tasks is set to 0 since there's no reduce operator
>>>> Exception in thread "main" java.lang.NoClassDefFoundError:
>>>> org/apache/hadoop/mapred/JobConf
>>>>     at java.lang.Class.forName0(Native Method)
>>>>     at java.lang.Class.forName(Class.java:247)
>>>>     at org.apache.hadoop.util.RunJar.main(RunJar.java:205)
>>>> Caused by: java.lang.ClassNotFoundException:
>>>> org.apache.hadoop.mapred.JobConf
>>>>     at java.net.URLClassLoader$1.run(URLClassLoader.java:202)
>>>>     at java.security.AccessController.doPrivileged(Native Method)
>>>>     at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
>>>>     at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
>>>>     at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
>>>>     ... 3 more
>>>> Execution failed with exit status: 1
>>>> Obtaining error information
>>>> Task failed!
>>>>
>>>> However, im using hive-0.12.0 ?
>>>>
>>>> Does this mean that the latest hive actually has a runtime dependency
>>>> on
>>>> the older mapred.* libraries?
>>>>
>>>> --
>>>> Jay Vyas
>>>> http://jayunit100.blogspot.com
>>>>
>>>
>>>
>>>
>>> --
>>> Nitin Pawar
>>>
>>
>>
>>
>> --
>> Jay Vyas
>> http://jayunit100.blogspot.com
>>
>
>
>
> --
> Jay Vyas
> http://jayunit100.blogspot.com
>



-- 
Nitin Pawar

Mime
View raw message